Bug 144728 - Please repo copy lang/squeak to lang/squeak-dev
Summary: Please repo copy lang/squeak to lang/squeak-dev
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-14 06:20 UTC by Takeshi MUTOH
Modified: 2011-01-03 12:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi MUTOH 2010-03-14 06:20:00 UTC
I'm a maintainer of lang/squeak.
In some reasons, lang/squeak is old version of squeak.

I have more recent version of squeak ports, but some features lost
from current lang/squeak.

So I want to create lang/squeak-dev for this recent version.
Please repo copy from lang/squeak to lang/squeak-dev.

I sent same request at ports/139075 , but commiter can't receive my
patch. So I create new send-pr.

Fix: Please apply patch below:


--Multipart_Sun_Mar_14_15:15:51_2010-1
Content-Type: application/octet-stream; type=patch
Content-Disposition: attachment; filename="squeak-dev.patch"
Content-Transfer-Encoding: 7bit



--Multipart_Sun_Mar_14_15:15:51_2010-1
Content-Type: text/plain; charset=US-ASCII


--
Takeshi MUTOH	<mutoh@openedu.org>

--Multipart_Sun_Mar_14_15:15:51_2010-1----YzCnlqbfyP6AmS3zB5cZhA1Tvt6H83n9SZNZJ88MIP6YMotN
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN /usr/ports/lang/squeak/Makefile squeak-dev/Makefile
--- /usr/ports/lang/squeak/Makefile	2008-08-26 06:04:41.000000000 +0900
+++ squeak-dev/Makefile	2009-09-24 04:00:36.000000000 +0900
@@ -2,11 +2,11 @@
 # Date created:        			12 October 2001
 # Whom:                			roland.jesse@gmx.net
 #
-# $FreeBSD: ports/lang/squeak/Makefile,v 1.19 2008/08/25 21:04:41 miwi Exp $
+# $FreeBSD: ports/lang/squeak/Makefile,v 1.18 2008/08/01 12:32:35 pav Exp $
 #
 
-PORTNAME=		squeak
-PORTVERSION=		3.9
+PORTNAME=		squeak-dev
+PORTVERSION=		3.10
 CATEGORIES=		lang
 ##################################################
 MASTER_SITES=		http://www.squeakvm.org/unix/release/ \
@@ -34,18 +34,23 @@
 LIB_DEPENDS=		audio:${PORTSDIR}/audio/nas \
 			ffi:${PORTSDIR}/devel/libffi
 
+CONFLICTS=		squeak-3.*
+DATADIR=		${PREFIX}/share/squeak
+
 ##################################################
-VMVERSION=		3.9-7
-IMAGEVERSION=		3.9-final
-PATCHNUMBER=		7067
-IMAGEDIR=		Squeak${IMAGEVERSION}-${PATCHNUMBER}
+VMVERSION=		3.10-4
+IMAGEVERSION=		3.10.2
+PATCHNUMBER=		7179-basic
+#IMAGEDIR=		./
+#IMAGEDIR=		Squeak${IMAGEVERSION}-${PATCHNUMBER}
 
 ##################################################
 OPTIONS+=		MPG_MMX		"MMX support (MPG plugin)" off
 OPTIONS+=		NPSQUEAK	"browser plugin support" on
 OPTIONS+=		RFB		"remote frame buffer support" on
 OPTIONS+=		X		"X Windows support" on
-OPTIONS+=		XIM		"XIM support (Implies X)" off
+# Temporary diabled XIM feature
+# OPTIONS+=		XIM		"XIM support (Implies X)" off
 
 .include <bsd.port.pre.mk>
 
@@ -68,8 +73,8 @@
 # shared Libaries are to be installed in:
 LDCONFIG_DIRS=		${PREFIX}/share/squeak/${VMVERSION}
 
-FILES_TO_GZIP=		${IMAGEDIR}/Squeak${IMAGEVERSION}-${PATCHNUMBER}.image \
-			${IMAGEDIR}/Squeak${IMAGEVERSION}-${PATCHNUMBER}.changes
+FILES_TO_GZIP=		Squeak${IMAGEVERSION}-${PATCHNUMBER}.image \
+			Squeak${IMAGEVERSION}-${PATCHNUMBER}.changes
 
 ##################################################
 # Configure and Build
@@ -79,6 +84,8 @@
 INSTALL_WRKSRC=		${CONFIGURE_WRKSRC}
 CONFIGURE_SCRIPT=	../platforms/unix/config/configure
 CONFIGURE_ARGS+=	--libdir=${PREFIX}/share \
+			--enable-xicfont-option \
+			--enable-xicfont-default \
 			--without-quartz \
 			LDFLAGS="-L${LOCALBASE}/lib" \
 			CPPFLAGS="-I${LOCALBASE}/include"
@@ -182,14 +189,14 @@
 	(cd ${PREFIX}/share/squeak && ${EXTRACT_CMD} -d SqueakV3.sources.gz)
 	(cd ${DISTDIR}/${DIST_SUBDIR} && ${INSTALL_DATA} SqueakV39.sources.gz ${PREFIX}/share/squeak/)
 	(cd ${PREFIX}/share/squeak && ${EXTRACT_CMD} -d SqueakV39.sources.gz)
-	(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -u Squeak${IMAGEVERSION}-${PATCHNUMBER}.zip -d ${WRKDIR} Squeak${IMAGEVERSION}-${PATCHNUMBER}/*)
+	(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -u Squeak${IMAGEVERSION}-${PATCHNUMBER}.zip -d ${WRKDIR})
 .if defined(WITH_NPSQUEAK)
 	(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -u ${PLUGIN_IMAGE} -d ${WRKDIR})
 .endif
 .for file in ${FILES_TO_GZIP}
 	(cd ${WRKDIR} && ${GZIP_CMD} ${file} && ${INSTALL_DATA} ${file}.gz ${PREFIX}/share/squeak/)
 .endfor
-	(cd ${WRKDIR} && ${INSTALL_DATA} ${IMAGEDIR}/SqueakV39.sources ${PREFIX}/share/squeak/${VMVERSION})
+#	(cd ${WRKDIR} && ${INSTALL_DATA} ${IMAGEDIR}/SqueakV39.sources ${PREFIX}/share/squeak/${VMVERSION})
 	${INSTALL_SCRIPT} ${WRKSRC}/build/inisqueak ${PREFIX}/bin/inisqueak
 	${CHMOD} 755 ${PREFIX}/bin/inisqueak
 	@${CAT} ${PKGMESSAGE}
diff -ruN /usr/ports/lang/squeak/distinfo squeak-dev/distinfo
--- /usr/ports/lang/squeak/distinfo	2008-08-26 06:04:41.000000000 +0900
+++ squeak-dev/distinfo	2009-09-24 03:16:56.000000000 +0900
@@ -1,18 +1,18 @@
-MD5 (squeak/Squeak-3.9-7.src.tar.gz) = 89ca12f4134dbb26c5d383c566774010
-SHA256 (squeak/Squeak-3.9-7.src.tar.gz) = fbfa95093b32c53b302189f3b8ea08406dd9b133194e91810263d93f42344d0f
-SIZE (squeak/Squeak-3.9-7.src.tar.gz) = 3948315
-MD5 (squeak/Squeak3.9-final-7067.zip) = 30d991c418be1cd9c5d05fb87dea2f19
-SHA256 (squeak/Squeak3.9-final-7067.zip) = 4353a7bd05f2dba23ed735ac3171b32a0935a20ebfce9307cffc4eb9f254e872
-SIZE (squeak/Squeak3.9-final-7067.zip) = 11842207
-MD5 (squeak/SqueakPlugin.zip) = 8a14a482fc0e601fc9c1e702ac52b760
-SHA256 (squeak/SqueakPlugin.zip) = 9442d8f95166db4874800caa21b88551906d9ad66cb9391151d0d24e5022b488
-SIZE (squeak/SqueakPlugin.zip) = 5732659
+MD5 (squeak/Squeak-3.10-4.src.tar.gz) = bd8c32860d7e80540a497149a387a898
+SHA256 (squeak/Squeak-3.10-4.src.tar.gz) = 2065f640a6098ecb08f5f11cac85d3137e6fdc17cb9ad25cc766c90c2f0ccf35
+SIZE (squeak/Squeak-3.10-4.src.tar.gz) = 5583172
+MD5 (squeak/Squeak3.10.2-7179-basic.zip) = 759ed53867f6fb47a2a122cf4ff6b9e3
+SHA256 (squeak/Squeak3.10.2-7179-basic.zip) = 49f97f31e50c2137699692eaed3bdafd0eeb2de7b6eec2edbe48d19326d70d69
+SIZE (squeak/Squeak3.10.2-7179-basic.zip) = 7470879
 MD5 (squeak/SqueakV3.sources.gz) = 7dc6b3840e6bc1e5f81e3717fb46d2c3
 SHA256 (squeak/SqueakV3.sources.gz) = 6d8262b61d5608de36eff5cb930ea8aa588b7402c0a963680b07ff664ba74d02
 SIZE (squeak/SqueakV3.sources.gz) = 3476504
 MD5 (squeak/SqueakV39.sources.gz) = 4fe515af7428dbe69e90126c78255db9
 SHA256 (squeak/SqueakV39.sources.gz) = ac73d415398b0f79e64d01310e15e3af4203be3c97ea8c1154337d98949cf1a0
 SIZE (squeak/SqueakV39.sources.gz) = 4185101
+MD5 (squeak/SqueakPlugin.zip) = 8a14a482fc0e601fc9c1e702ac52b760
+SHA256 (squeak/SqueakPlugin.zip) = 9442d8f95166db4874800caa21b88551906d9ad66cb9391151d0d24e5022b488
+SIZE (squeak/SqueakPlugin.zip) = 5732659
 MD5 (squeak/SqueakImmX11Plugin3a.tar.gz) = 19f232d475bcce36a15be0f0fd726979
 SHA256 (squeak/SqueakImmX11Plugin3a.tar.gz) = 76858ebf5e45adc48cad2cee69312163ea0082b173325ef02e57dd826c6e3bdf
 SIZE (squeak/SqueakImmX11Plugin3a.tar.gz) = 11614
diff -ruN /usr/ports/lang/squeak/files/patch-platforms__unix__config__configure squeak-dev/files/patch-platforms__unix__config__configure
--- /usr/ports/lang/squeak/files/patch-platforms__unix__config__configure	2008-08-26 06:04:41.000000000 +0900
+++ squeak-dev/files/patch-platforms__unix__config__configure	2009-03-25 06:06:06.000000000 +0900
@@ -1,10 +1,91 @@
---- platforms/unix/config/configure.orig	Mon May 10 10:54:48 2004
-+++ platforms/unix/config/configure	Mon May 10 10:54:15 2004
-@@ -23526,6 +23526,7 @@
+--- platforms/unix/config/configure.org	2009-03-25 05:58:02.000000000 +0900
++++ platforms/unix/config/configure	2009-03-25 06:05:36.000000000 +0900
+@@ -27959,60 +27959,65 @@
+ rm -f vm-sound-OSS.sub vm-sound-OSS.lib
+ # -*- sh -*-
+ 
+-{ echo "$as_me:$LINENO: checking for Advanced Linux Sound Architecture" >&5
+-echo $ECHO_N "checking for Advanced Linux Sound Architecture... $ECHO_C" >&6; }
++echo "$as_me:$LINENO: checking for Open Sound System" >&5
++echo $ECHO_N "checking for Open Sound System... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
- #include <sys/soundcard.h>
+-#include <alsa/asoundlib.h>
++#include <sys/soundcard.h>
 +#define OPEN_SOUND_SYSTEM
  int
  main ()
  {
+-(void)snd_pcm_open;
++OPEN_SOUND_SYSTEM;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+-if { (ac_try="$ac_compile"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_compile") 2>conftest.er1
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && {
+-	 test -z "$ac_c_werror_flag" ||
+-	 test ! -s conftest.err
+-       } && test -s conftest.$ac_objext; then
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"
++			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
+ 
+-  { echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6; }
++  echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6
+ 
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ 
+-  { echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6; }
++  echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
+ 
+ 
+-  { echo "$as_me:$LINENO: result: ******** disabling ${plugin}" >&5
+-echo "${ECHO_T}******** disabling ${plugin}" >&6; }
++  echo "$as_me:$LINENO: result: ******** disabling ${plugin}" >&5
++echo "${ECHO_T}******** disabling ${plugin}" >&6
+   disabled_plugins="${disabled_plugins} ${plugin}"
+ 
+ fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ if test "${plibs}"; then
+   llibs="${LIBS}"
+   for l in ${plibs}; do
diff -ruN /usr/ports/lang/squeak/files/patch-platforms__unix__npsqueak__Makefile squeak-dev/files/patch-platforms__unix__npsqueak__Makefile
--- /usr/ports/lang/squeak/files/patch-platforms__unix__npsqueak__Makefile	2008-08-26 06:04:41.000000000 +0900
+++ squeak-dev/files/patch-platforms__unix__npsqueak__Makefile	2009-01-20 14:12:30.000000000 +0900
@@ -1,20 +1,11 @@
---- platforms/unix/npsqueak/Makefile.orig	Sat Aug 23 06:59:39 2003
-+++ platforms/unix/npsqueak/Makefile	Fri Nov 24 18:55:48 2006
-@@ -3,7 +3,7 @@
- 
- ############ Customize flags here #######################
- 
--INC	= -I./include -I/usr/X11R6/include
-+INC	= -I./include -I%%LOCALBASE%%/include
+--- platforms/unix/npsqueak/Makefile.org	2009-01-20 14:10:55.000000000 +0900
++++ platforms/unix/npsqueak/Makefile	2009-01-20 14:11:14.000000000 +0900
+@@ -8,7 +8,7 @@
  CC	= gcc
  CFLAGS	= $(INC) -O2 -fPIC -Wall
  LD	= gcc
-@@ -20,7 +20,7 @@
- ############ compile and link ###########################
- 
- npsqueak.so : npsqueak.o npunix.o 
--	$(LD) $(LDFLAGS) npsqueak.o npunix.o -o npsqueak.so 
-+	$(LD) $(LDFLAGS) npsqueak.o npunix.o -o npsqueak.so -L%%LOCALBASE%%/lib -lXt -lX11
+-LDFLAGS = -lXt
++LDFLAGS = -lXt -L/usr/local/lib
  
- npsqueak.o: npsqueak.c ../config.h
- 	$(CC) -c $(CFLAGS) -DVM_LIBDIR=\"$(VM_LIBDIR)\" $<
+ # usually overridden from top level makefile
+ VM_VERSION=  3.9-12
diff -ruN /usr/ports/lang/squeak/files/patch-platforms__unix__src__plugins__UnixOSProcessPlugin__UnixOSProcessPlugin.c squeak-dev/files/patch-platforms__unix__src__plugins__UnixOSProcessPlugin__UnixOSProcessPlugin.c
--- /usr/ports/lang/squeak/files/patch-platforms__unix__src__plugins__UnixOSProcessPlugin__UnixOSProcessPlugin.c	2008-08-26 06:04:41.000000000 +0900
+++ squeak-dev/files/patch-platforms__unix__src__plugins__UnixOSProcessPlugin__UnixOSProcessPlugin.c	1970-01-01 09:00:00.000000000 +0900
@@ -1,47 +0,0 @@
---- platforms/unix/src/plugins/UnixOSProcessPlugin/UnixOSProcessPlugin.c.org	Sun Apr 23 16:18:27 2006
-+++ platforms/unix/src/plugins/UnixOSProcessPlugin/UnixOSProcessPlugin.c	Sun Apr 23 16:20:43 2006
-@@ -1818,7 +1818,7 @@
- 		return interpreterProxy->primitiveFail();
- 	}
- 	sqFile = interpreterProxy->arrayValueOf(sqFileOop);
--	if ((feof(sqFile->file)) == 0) {
-+	if ((feof((FILE *)sqFile->file)) == 0) {
- 		result = interpreterProxy->falseObject();
- 	} else {
- 		result = interpreterProxy->trueObject();
-@@ -1870,7 +1870,7 @@
- 
- 	/* Set up the flock structure parameter for fcntl() */
- 
--	fileNo = fileno(sqFile->file);
-+	fileNo = fileno((FILE *)sqFile->file);
- 	if (exclusive) {
- 		lockStruct.l_type = F_WRLCK;
- 	} else {
-@@ -2897,7 +2897,7 @@
- 
- 	/* Set up the flock structure parameter for fcntl() */
- 
--	fileNo = fileno(sqFile->file);
-+	fileNo = fileno((FILE *)sqFile->file);
- 	if (exclusive) {
- 		lockStruct.l_type = F_WRLCK;
- 	} else {
-@@ -2957,7 +2957,7 @@
- 		return interpreterProxy->primitiveFail();
- 	}
- 	sqFile = interpreterProxy->arrayValueOf(sqFileOop);
--	fileNo = fileno(sqFile->file);
-+	fileNo = fileno((FILE *)sqFile->file);
- 	interpreterProxy->pop(2);
- 	interpreterProxy->pushInteger(fileNo);
- }
-@@ -3001,7 +3001,7 @@
- 
- 	/* Set up the flock structure parameter for fcntl() */
- 
--	fileNo = fileno(sqFile->file);
-+	fileNo = fileno((FILE *)sqFile->file);
- 	lockStruct.l_type = F_UNLCK;
- 	lockStruct.l_whence = SEEK_SET;
- 	lockStruct.l_start = start;
diff -ruN /usr/ports/lang/squeak/files/patch-platforms__unix__vm-sound-OSS-Makefile.inc squeak-dev/files/patch-platforms__unix__vm-sound-OSS-Makefile.inc
--- /usr/ports/lang/squeak/files/patch-platforms__unix__vm-sound-OSS-Makefile.inc	1970-01-01 09:00:00.000000000 +0900
+++ squeak-dev/files/patch-platforms__unix__vm-sound-OSS-Makefile.inc	2009-03-25 06:26:10.000000000 +0900
@@ -0,0 +1,5 @@
+--- platforms/unix/vm-sound-OSS/Makefile.inc.org	2009-03-25 06:25:06.000000000 +0900
++++ platforms/unix/vm-sound-OSS/Makefile.inc	2009-03-25 06:25:10.000000000 +0900
+@@ -1 +1 @@
+-PLIBS=-lasound
++PLIBS=
diff -ruN /usr/ports/lang/squeak/files/patch-platforms__unix__vm-sound-OSS__acinclude.m4 squeak-dev/files/patch-platforms__unix__vm-sound-OSS__acinclude.m4
--- /usr/ports/lang/squeak/files/patch-platforms__unix__vm-sound-OSS__acinclude.m4	2008-08-26 06:04:41.000000000 +0900
+++ squeak-dev/files/patch-platforms__unix__vm-sound-OSS__acinclude.m4	1970-01-01 09:00:00.000000000 +0900
@@ -1,11 +0,0 @@
---- platforms/unix/vm-sound-OSS/acinclude.m4.orig	Mon May 10 10:18:03 2004
-+++ platforms/unix/vm-sound-OSS/acinclude.m4	Mon May 10 10:18:22 2004
-@@ -1,7 +1,7 @@
- # -*- sh -*-
- 
- AC_MSG_CHECKING([for Open Sound System])
--AC_TRY_COMPILE([#include <sys/soundcard.h>],[OPEN_SOUND_SYSTEM;],[
-+AC_TRY_COMPILE([#include <sys/soundcard.h>],[EV_SEQ_LOCAL;],[
-   AC_MSG_RESULT(yes)
- ],[
-   AC_MSG_RESULT(no)
diff -ruN /usr/ports/lang/squeak/files/patch-platforms__unix__vm__sqUnixMain.c squeak-dev/files/patch-platforms__unix__vm__sqUnixMain.c
--- /usr/ports/lang/squeak/files/patch-platforms__unix__vm__sqUnixMain.c	1970-01-01 09:00:00.000000000 +0900
+++ squeak-dev/files/patch-platforms__unix__vm__sqUnixMain.c	2009-03-25 19:52:56.000000000 +0900
@@ -0,0 +1,17 @@
+--- platforms/unix/vm/sqUnixMain.c.org	2009-03-25 19:51:55.000000000 +0900
++++ platforms/unix/vm/sqUnixMain.c	2009-03-25 19:52:11.000000000 +0900
+@@ -696,13 +696,13 @@
+   { &displayModule, "display", "null"   },	/*** NO DEFAULT ***/
+   { &displayModule, "display", "custom" },	/*** NO DEFAULT ***/
+   { &soundModule,   "sound",   "NAS"    },	/*** NO DEFAULT ***/
+-  { &soundModule,   "sound",   "OSS"    },
+   { &soundModule,   "sound",   "custom" },	/*** NO DEFAULT ***/
+   /* defaults */
+   { &displayModule, "display", "Quartz" },
+   { &soundModule,   "sound",   "MacOSX" },
+   { &soundModule,   "sound",   "Sun"    },
+   { &soundModule,   "sound",   "ALSA"   },
++  { &soundModule,   "sound",   "OSS"    },
+   { &soundModule,   "sound",   "null"   },
+   { 0,              0,         0	}
+ };
diff -ruN /usr/ports/lang/squeak/pkg-plist squeak-dev/pkg-plist
--- /usr/ports/lang/squeak/pkg-plist	2008-08-26 06:04:41.000000000 +0900
+++ squeak-dev/pkg-plist	2009-09-24 03:59:41.000000000 +0900
@@ -23,10 +23,9 @@
 %%DATADIR%%/%%VMVERSION%%/vm-sound-null
 %%DATADIR%%/Squeak%%IMAGEVERSION%%-%%PATCHNUMBER%%.changes.gz
 %%DATADIR%%/Squeak%%IMAGEVERSION%%-%%PATCHNUMBER%%.image.gz
-%%PLIST_NPSQUEAK%%%%DATADIR%%/SqueakPlugin.image.gz
+%%PLIST_NPSQUEAK%%/%%DATADIR%%/SqueakPlugin.image.gz
 %%DATADIR%%/SqueakV3.sources
 %%DATADIR%%/SqueakV39.sources
-%%DATADIR%%/%%VMVERSION%%/SqueakV39.sources
 %%PLIST_NPSQUEAK%%%%DATADIR%%/npsqueakregister
 @dirrm %%DATADIR%%/%%VMVERSION%%
 @dirrm %%DATADIR%%
Comment 1 Edwin Groothuis freebsd_committer 2010-03-14 06:20:11 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Boris Samorodov freebsd_committer 2010-04-27 15:51:40 UTC
State Changed
From-To: open->repocopy

Repocopies are portmgr territory. 


Comment 3 Boris Samorodov freebsd_committer 2010-04-27 15:51:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Repocopies are portmgr territory.
Comment 4 Joe Marcus Clarke freebsd_committer 2010-05-03 08:00:21 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 5 Joe Marcus Clarke freebsd_committer 2010-05-03 08:00:21 UTC
Responsible Changed
From-To: portmgr->bsam

Repocopy complete.
Comment 6 Boris B.Samorodov 2010-05-13 16:37:22 UTC
Hi,

I've got an error at my tinderbox:
-----
...
cc -O2 -pipe -fno-strict-aliasing -fomit-frame-pointer -DLSB_FIRST=1  -DHAVE_CONFIG_H  -DSQUEAK_BUILTIN_PLUGIN -I/work/a/ports/lang/squeak-dev/work/Squeak-3.10-4/build -I/work/a/ports/lang/squeak-dev/work/Squeak-3.10-4/platforms/unix/vm -I/work/a/ports/lang/squeak-dev/work/Squeak-3.10-4/platforms/Cross/vm -I/work/a/ports/lang/squeak-dev/work/Squeak-3.10-4/platforms/unix/src/vm -I/work/a/ports/lang/squeak-dev/work/Squeak-3.10-4/platforms/Cross/plugins/SurfacePlugin  -I/usr/local/include  -c -o SurfacePlugin .o /work/a/ports/lang/squeak-dev/work/Squeak-3.10-4/platforms/Cross/plugins/SurfacePlugin/SurfacePlugin.c
ar -rc SurfacePlugin.a SurfacePlugin.o 
ranlib SurfacePlugin.a
cc -O2 -pipe -fno-strict-aliasing -fomit-frame-pointer -DLSB_FIRST=1  -L/usr/local/lib  -export-dynamic -c -o disabledPlugins.o disabledPlugins.c
disabledPlugins.c:19: error: redefinition of 'RomePlugin_exports'
disabledPlugins.c:18: error: previous definition of 'RomePlugin_exports' was here
gmake: *** [disabledPlugins.o] Error 1
*** Error code 1

Stop in /a/ports/lang/squeak-dev.
-----

The full log is available here:
https://bb.ipt.ru/tb/errors/8-i386-exp/squeak-dev-3.10.log

-- 
WBR, bsam
Comment 7 Boris Samorodov freebsd_committer 2010-05-14 10:12:21 UTC
State Changed
From-To: open->feedback

Awaiting for a feedback.
Comment 8 Philip M. Gollucci freebsd_committer 2010-09-16 23:45:26 UTC
State Changed
From-To: feedback->open

submitter feedback timeout: (Takeshi MUTOH <mutoh@openedu.org> ; 125 
days)
Comment 9 Boris B.Samorodov 2010-10-15 16:33:19 UTC
Dear FreeBSD port maintainer,

are you interested in solving that Problem Report?

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144728

Please, create a relevant patch. Otherwise the port
will be removed from the ports tree in two weeks.

Thank you!
-- 
WBR, Boris Samorodov (bsam)
Research Engineer, http://www.ipt.ru Telephone & Internet SP
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 10 dfilter service freebsd_committer 2011-01-03 11:56:00 UTC
bsam        2011-01-03 11:55:55 UTC

  FreeBSD ports repository

  Removed files:
    lang/squeak-dev      Makefile distinfo pkg-descr pkg-plist 
    lang/squeak-dev/files 
                          patch-platforms__Cross__plugins__Mpeg3Plugin__libmpeg__mpeg3io.h 
                          patch-platforms__unix__config__configure 
                          patch-platforms__unix__config__inisqueak.in 
                          patch-platforms__unix__npsqueak__Makefile 
                          patch-platforms__unix__npsqueak__npsqueak.c 
                          patch-platforms__unix__npsqueak__npsqueakregister.in 
                          patch-platforms__unix__npsqueak__npsqueakrun.in 
                          patch-platforms__unix__plugins__PseudoTTYPlugin__openpty.h 
                          patch-platforms__unix__plugins__SqueakFFIPrims__ffi-config 
                          patch-platforms__unix__src__plugins__UnixOSProcessPlugin__UnixOSProcessPlugin.c 
                          patch-platforms__unix__vm-sound-OSS__acinclude.m4 
                          pkg-message.in 
  Log:
  Remove the port lang/squeak-dev since the port is broken
  and the maintainer seems to loose interest
  (not responding to the PR for 7+ months).
  
  PR:             ports/144728
  Submitted by:   Takeshi MUTOH <mutoh at openedu.org>
  Approved by:    maintainer timeout (7+ months)
  
  Revision  Changes    Path
  1.23      +0 -200    ports/lang/squeak-dev/Makefile (dead)
  1.7       +0 -21     ports/lang/squeak-dev/distinfo (dead)
  1.2       +0 -11     ports/lang/squeak-dev/files/patch-platforms__Cross__plugins__Mpeg3Plugin__libmpeg__mpeg3io.h (dead)
  1.2       +0 -10     ports/lang/squeak-dev/files/patch-platforms__unix__config__configure (dead)
  1.2       +0 -23     ports/lang/squeak-dev/files/patch-platforms__unix__config__inisqueak.in (dead)
  1.2       +0 -20     ports/lang/squeak-dev/files/patch-platforms__unix__npsqueak__Makefile (dead)
  1.2       +0 -20     ports/lang/squeak-dev/files/patch-platforms__unix__npsqueak__npsqueak.c (dead)
  1.2       +0 -13     ports/lang/squeak-dev/files/patch-platforms__unix__npsqueak__npsqueakregister.in (dead)
  1.2       +0 -38     ports/lang/squeak-dev/files/patch-platforms__unix__npsqueak__npsqueakrun.in (dead)
  1.2       +0 -14     ports/lang/squeak-dev/files/patch-platforms__unix__plugins__PseudoTTYPlugin__openpty.h (dead)
  1.2       +0 -10     ports/lang/squeak-dev/files/patch-platforms__unix__plugins__SqueakFFIPrims__ffi-config (dead)
  1.2       +0 -47     ports/lang/squeak-dev/files/patch-platforms__unix__src__plugins__UnixOSProcessPlugin__UnixOSProcessPlugin.c (dead)
  1.2       +0 -11     ports/lang/squeak-dev/files/patch-platforms__unix__vm-sound-OSS__acinclude.m4 (dead)
  1.2       +0 -22     ports/lang/squeak-dev/files/pkg-message.in (dead)
  1.4       +0 -24     ports/lang/squeak-dev/pkg-descr (dead)
  1.10      +0 -33     ports/lang/squeak-dev/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Boris Samorodov freebsd_committer 2011-01-03 11:57:00 UTC
State Changed
From-To: open->closed

The port is broken and no answer for 7+ months.